<template>
    <div class="tab-pane fade show active" id="nav-all" role="tabpanel" aria-labelledby="all-aff-products">
        <div class="cg-empty-wrap" v-cloak v-if="isEmpty">
            <div class="cg-empty-content-wrap text-center add-btm-mdm">
                <img src="/images/no-items.svg" alt="creativegoods" class="img-ﬂuid width-30">
                <h4 class="font1 grey f18 w500 pad-top-mdm pad-btm-xsml">You don't have any affiliate products yet.</h4>
                <a href="/all-items" class="ﬁrst theme-bg f14 w600">Share Products</a>
            </div>
        </div>
        <ul class="list-group" v-if="!isEmpty">
            <li class="list-group-item d-flex justify-content-between align-items-center"   v-for="affiliate_product in products_">
                <a :href="affiliate_product.product_url">{{ affiliate_product.name }}</a>
                <div class="cg-aff-badge-wrap d-flex justify-content-between">
                    <span class="badge badge-light badge-pill">{{affiliate_product.product_category.name}}</span>
                    <span class="badge badge-success badge-pill">${{affiliate_product.affiliate_product_total_price}}</span>
                    <span class="badge badge-primary badge-pill">{{affiliate_product.affiliate_download_count}}</span>
                </div>
            </li>
        </ul>
        <!-- Load More button -->
        <div class="view-all-button d-flex justify-content-center" role="group" aria-label="Basic example">
            <AffiliatePagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchMyAffiliateSalesAll()" ></AffiliatePagination>
            <!--                          <button type="button" class="btn btn-secondary" @click="sort()">Sort</button>-->
        </div>

    </div>
</template>
<script>
    import AffiliatePagination from '../components/AffiliatePagination'
    import Preloader from '../components/Preloader.vue'
    export default {
        data(){
            return{
                products_:[],
                isEmpty:false,
                sortOrder:'asc',
                pagination: {
                    'current_page': 1
                },
            }

        },
        components:{
            AffiliatePagination,
        },
        methods: {
            sort()
            {
                if(this.sortOrder == 'asc')
                {
                    this.sortOrder = 'desc';
                } else
                {
                    this.sortOrder='asc' ;
                }
                this.pagination.current_page=1;
                this.fetchMyAffiliateSalesAll();
            },
            fetchMyAffiliateSalesAll() {
                axios.get('/get_my_affiliate_sales_most?page=' + this.pagination.current_page+'&sort='+ this.sortOrder)
                    .then(response => {
                        this.preLoad();
                        let products_array = response.data.data.data;
                        for( let i = 0; i < products_array.length; i++ ){
                            this.products_.push(products_array[i])
                        }
                        this.pagination = response.data.pagination;
                        if(this.products_.length ){
                            this.isEmpty=false;
                        }else{
                            this.isEmpty=true;
                        }
                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            },
            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".tab-pane",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": .9,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }
        },

        mounted(){
            this.fetchMyAffiliateSalesAll();
        },
        beforeCreate() {
            this.isEmpty=false;
        }
    }

</script>

